unit DSPModuleIntf;
{ DLL-Deklaration fr isdnphoneDSP.DLL }

interface
uses DSPModuleDecl;

const
  ISDNDLL = '..\Library\isdnphoneDSP.dll';

  function  ISDNCreate: Pointer; stdcall; external ISDNDLL;
  procedure ISDNFree(DataHandle: Pointer); stdcall; external ISDNDLL;
	function  ISDNLicense(DataHandle: Pointer; RegName, RegKey: PChar):LongBool; stdcall; external ISDNDLL;
  function  ISDNInit(DataHandle: Pointer; InitParam: PInitParam ):LongBool; stdcall; external ISDNDLL;
  function  ISDNDone(DataHandle: Pointer): LongBool; stdcall; external ISDNDLL;
  function  ISDNAcceptCall(DataHandle: Pointer):LongBool; stdcall; external ISDNDLL;
  function  ISDNMakeCall(DataHandle: Pointer; szMSN, szNumber: PChar): LongBool; stdcall; external ISDNDLL;
  function  ISDNHangUp(DataHandle: Pointer): LongBool; stdcall; external ISDNDLL;
  function  ISDNSendDTMF(DataHandle: Pointer; szDTMF:PChar):LongBool; stdcall; external ISDNDLL;
  procedure ISDNSetDTMFParams(DataHandle: Pointer; DtmfDurations: PDtmfDurations); stdcall; external ISDNDLL;
  function  ISDNSendWavefile(DataHandle: Pointer; szFilename:PChar):LongBool; stdcall; external ISDNDLL;
	function  ISDNSetVolume(DataHandle: Pointer; VolumeInfo: PVolumeInfo):LongBool; stdcall; external ISDNDLL;
	function  ISDNSetVolumeEx(DataHandle: Pointer; Command: Word; Data: Pointer):LongBool; stdcall; external ISDNDLL;
	function  ISDNGetLastError(DataHandle: Pointer): Cardinal; stdcall; external ISDNDLL;
  procedure ISDNGetErrorText(DataHandle: Pointer; ErrorValue: Cardinal; szTextBuf: PChar); stdcall; external ISDNDLL;
	function  ISDNExplicitCallTransferTo(DataHandle: Pointer; szMSN,szNumber:PChar):LongBool; stdcall; external ISDNDLL;


implementation


end.
